# HXLTM - ontologia and initial reference implementation
[![Site](https://img.shields.io/badge/Site-hxltm.etica.ai-blue[Site] "Site")](https://hxltm.etica.ai/)
[![GitHub](https://img.shields.io/badge/GitHub-EticaAI%2Fhxltm-lightgrey?logo=github&style=social[EticaAI/hxltm] "GitHub")](https://github.com/EticaAI/hxltm)
[![Pypi: hxltm-eticaai](https://img.shields.io/badge/python%20pypi-hxltm--eticaai-brightgreen[Python] 
 "Pypi: hxltm-eticaai")](https://pypi.org/project/hxltm-eticaai/)

The _Multilingual Terminology in Humanitarian Language Exchange_
(abbreviation: _HXLTM_) is an HXLated valid tabular format (stricly, a
documented subset of [HXL Standard](https://hxlstandard.org/[HXL]) started by
[HXL-CPLP](https://github.com/HXL-CPLP)) with strong focus to store community
contributed translations and multilingual terminology while maximizing
portability for implementers.

**The documentation is available at <https://hxltm.etica.ai/>.**

```bash
pip install hxltm-eticaai --upgrade
```


<!--
---

Multilingual Terminology in Humanitarian Language Exchange (HXLTM) - Ontologia and reference implementation

Quickstart

- <https://hxltm.etica.ai/>

```bash
pip install hxltm-eticaai
```

---

(like via use of `+hxltmcli+` to export to
Excel, +++<abbr title="XML Localization Interchange File Format">XLIFF</abbr>+++,
+++<abbr title="Translation Memory eXchange">TMX</abbr>+++,
+++<abbr title="TermBase eXchange">TBX</abbr>+++,
+++<abbr title="Universal Terminology eXchange">UTX</abbr>+++, JSON, CSV,
link:archivum/[and more!]



**[monorepo split not finished] See https://github.com/EticaAI/HXL-Data-Science-file-formats/issues/25**

- <https://hxltm.etica.ai/>

```bash
pip install hxltm-eticaai
```
-->

<!--

> TODO:
> - https://github.com/darshandsoni/asciidoctor-skins
> - https://github.com/coveooss/json-schema-for-humans
> - https://github.com/ymyzk/tox-gh-actions
> - re-add UNLICENSE
> - re-add dedicated tests with tox
> - documentation with one of the following:
>   - https://docs.antora.org/ / https://antora.org/
>   - https://github.com/manoelcampos/asciidoctor-ghpages-action
> - documentation that could be localized?
>   - https://github.com/OpenRefine/OpenRefine/issues/2273#issuecomment-574415046

- https://hxltm.etica.ai
- https://eticaai.github.io/hxltm/

-->

## Licenses

> Public domain means each issue only needs to be resolved once

## Software license

[![Public Domain](https://i.creativecommons.org/p/zero/1.0/88x31.png)](UNLICENSE)

To the extent possible under law, [Etica.AI](https://github.com/EticaAI)
and non anonymous collaborators have waived all copyright and related or
neighboring rights to this work to [Public Domain](UNLICENSE).

Optionally, the [BSD Zero Clause License](https://spdx.org/licenses/0BSD.html)
is also one explicit alternative to the Unlicense as an older license approved
by the Open Source Initiative:

`SPDX-License-Identifier: Unlicense OR 0BSD`

## Creative content license (algorithms and concepts as pivot exchange for other data standards, and user documentation)

[![Public Domain](https://i.creativecommons.org/p/zero/1.0/88x31.png)](UNLICENSE)

To the extent possible under law, [Etica.AI](https://github.com/EticaAI)
and non anonymous collaborators have waived all copyright and related or
neighboring rights to this work to public domain dedication. As 2021, the
[CC0 1.0 Universal (CC0 1.0) Public Domain Dedication](https://creativecommons.org/publicdomain/zero/1.0/)
with **additional right** to you granted upfront:

- The collaborators explicitly waive any potential **patent rights** for
  algorithms/ideas. We also preemptively ask that potential requests from our
  heirs in unforeseen future in any jurisdiction be ignored by any regional or
  international court.

<details>
<summary>More context about this</summary>

This different license for creative content is mostly for lawyers who would
complain about use of Unlicense for creative content. More context (from the
point of open source) on waiving patent rigths explicitly (since no better license for
creative content do exist) is here: <https://opensource.org/faq#cc-zero>.

There is no interest by ourselves to do _patent troll_ (for monetary gain)
or allow abuse copyrights (to enforce companies, organizations, o
governments) even if:

- we directly strongly disagree
- some entity try to use us as proxy to enforce us some sort of boycott to any
  other entity.

Note that data exchange on humanitarian context, even outside global-like
war-time, already is quite complex and the need of accurate linguistic content
conversion still even more critical to not have know errors. While the idea of
stories behind cases like the "_黙殺_" ("_mokusatsu_") are disputable, the
modern tooling to deal with multilingual terminology (including used to
create dictionaries) is prone to human error.

</details>

<!--
  ## Licenses for trademarks, terms, etc
  ### Comments
-->